petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCGASMSetUseDMSubdomains

Indicates whether to use DMCreateDomainDecomposition() to define the subdomains, whenever possible. Logically Collective

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetUseDMSubdomains(PC pc,PetscBool flg)

### Input Parameter

| pc | - the preconditioner
| flg | - boolean indicating whether to use subdomains defined by the DM

### Options Database Key

-pc_gasm_dm_subdomains -pc_gasm_overlap -pc_gasm_total_subdomains

### Notes

PCGASMSetSubdomains(), PCGASMSetTotalSubdomains() or PCGASMSetOverlap() take precedence over PCGASMSetUseDMSubdomains(), so setting PCGASMSetSubdomains() with nontrivial subdomain ISs or any of PCGASMSetTotalSubdomains() and PCGASMSetOverlap() automatically turns the latter off.

### Keywords

PC, ASM, DM, set, subdomains, additive Schwarz

### See Also

PCGASMGetUseDMSubdomains(), PCGASMSetSubdomains(), PCGASMSetOverlap()
PCGASMCreateSubdomains2D()

Level:intermediate
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages